summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-09-28 10:21:59 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-09-28 10:21:59 +0200
commitb2c15413414e1060938d682df3a0f2c9534cf012 (patch)
treede3369d7f51557e37b79fcbf7e7f43204e3a5433 /scripts
parent0eb32a8e2e000218959606af4a54a55fc4598eea (diff)
parent165994403a52976f00b993b9e1899e331cce4f61 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-tools.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 2569d859b..93cd1dd70 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -250,12 +250,6 @@ if ! which gxargs >/dev/null 2>&1; then
fi
fi
-if which grep >/dev/null 2>&1; then
- if ! grep --version 2>/dev/null|grep GNU >/dev/null;then
- host_build_grep=1
- fi
-fi
-
if ! which gfind >/dev/null 2>&1; then
if which find >/dev/null 2>&1; then
if ! find --version 2>/dev/null|grep GNU >/dev/null;then
@@ -264,6 +258,13 @@ if ! which gfind >/dev/null 2>&1; then
fi
fi
+host_build_grep=0
+if which grep >/dev/null 2>&1; then
+ if ! grep --version 2>/dev/null|grep GNU >/dev/null;then
+ host_build_grep=1
+ fi
+fi
+
host_build_gawk=0
if ! which gawk >/dev/null 2>&1; then
host_build_gawk=1